Go Back   ISPsystem.com Forums > ISPmanager > General technical discussion

Notices

Reply
 
Thread Tools
Old 05-04-2018, 10:02 PM   #1
Junior Member
 
Join Date: Mar 2017
Posts: 6
yongsiklee is on a distinguished road
Default Changing PHP version to 5.6 alt from 7.0 native

I am using ISPmanager Lite and I want to use php 5.6 as some scripts do not install php7+ on my Ubuntu 16.04 LTS. So I installed PHP 5.6 alt but there is no way I can switch to 5.6.

When I go to PHP, and try to make 5.6.36 as default for Apache module, it is in grey so I cannot change it.

PHP mode is Apache only - no other choice to switch with www-domain setting and PHP version is 7.0.28 (native) in grey.

What should I do? My control panel version is 5.148.1-2018.04.20_13:25.
yongsiklee is offline   Reply With Quote
Old 05-04-2018, 11:05 PM   #2
Junior Member
 
Join Date: Mar 2017
Posts: 6
yongsiklee is on a distinguished road
Default

I cannot choose 5.6 as Apache mode with everything else already changed to 5.6.
yongsiklee is offline   Reply With Quote
Old 05-07-2018, 05:40 PM   #3
ISPsystem team
 
Join Date: Jul 2014
Posts: 425
ksenya is on a distinguished road
Default

Hello

When you set an alternative PHP version for PHP as Apache, a new version will be applied to the whole server, not to a certain user or web-site.

Please refer to this article for more info.
ksenya is offline   Reply With Quote
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 05:56 PM.